summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrew Rowland2012-08-09 21:29:20 +0200
committer Robby Workman2012-08-09 21:29:20 +0200
commit93f6d52ee4db39eba9f207b1aad036f8bf13bdba (patch)
tree5c0a041efba51ad0cb5aa5f437207febf65fd6e2 /system
parent515bdc2a88260b4fdbe7beb804fb2c93faf76bb2 (diff)
downloadslackbuilds-93f6d52ee4db39eba9f207b1aad036f8bf13bdba.tar.gz
system/seahorse: Added (encryption made easy)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/seahorse/README9
-rw-r--r--system/seahorse/doinst.sh20
-rw-r--r--system/seahorse/seahorse.SlackBuild86
-rw-r--r--system/seahorse/seahorse.info10
-rw-r--r--system/seahorse/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/system/seahorse/README b/system/seahorse/README
new file mode 100644
index 0000000000..4b295b9b0e
--- /dev/null
+++ b/system/seahorse/README
@@ -0,0 +1,9 @@
+Seahorse is a GNOME application for managing encryption keys. It also
+integrates with nautilus, gedit and other places for encryption
+operations.
+
+This is the GTK+2 version of Seahorse. Scrollkeeper support is
+disabled as Rarian is the replacement for Scrollkeeper and Rarian
+is not supported by this version of Seahorse.
+
+This requires gnome-keyring.
diff --git a/system/seahorse/doinst.sh b/system/seahorse/doinst.sh
new file mode 100644
index 0000000000..caa93c72af
--- /dev/null
+++ b/system/seahorse/doinst.sh
@@ -0,0 +1,20 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install seahorse.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/seahorse/seahorse.SlackBuild b/system/seahorse/seahorse.SlackBuild
new file mode 100644
index 0000000000..3fa9911ba6
--- /dev/null
+++ b/system/seahorse/seahorse.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for seahorse
+
+# Written by Andrew Rowland (darowland@ieee.org)
+
+PRGNAM=seahorse
+VERSION=${VERSION:-2.32.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-scrollkeeper \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL MAINTAINERS NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/seahorse/seahorse.info b/system/seahorse/seahorse.info
new file mode 100644
index 0000000000..0107f5bdda
--- /dev/null
+++ b/system/seahorse/seahorse.info
@@ -0,0 +1,10 @@
+PRGNAM="seahorse"
+VERSION="2.32.0"
+HOMEPAGE="http://projects.gnome.org/seahorse/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/seahorse/2.32/seahorse-2.32.0.tar.bz2"
+MD5SUM="bffb5ba78efb7eae760e05d8473ee7ad"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Rowland"
+EMAIL="darowland@ieee.org"
+APPROVED="rworkman"
diff --git a/system/seahorse/slack-desc b/system/seahorse/slack-desc
new file mode 100644
index 0000000000..c4b18180a4
--- /dev/null
+++ b/system/seahorse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+seahorse: seahorse (encryption made easy)
+seahorse:
+seahorse: Seahorse is a GNOME application for managing encryption keys. It also
+seahorse: integrates with nautilus, gedit and other places for encryption
+seahorse: operations.
+seahorse:
+seahorse: This is the GTK+2 version of Seahorse. Scrollkeeper support is
+seahorse: disabled as Rarian is the replacement for Scrollkeeper and Rarian
+seahorse: is not supported by this version of Seahorse.
+seahorse:
+seahorse: